/* -------------------- FONTS -----------*/
@font-face {
  font-family: "Mina";
  src: url('fonts/Mina-Regular.ttf');
}

@font-face {
  font-family: "Gidolinya";
  src: url('fonts/Gidolinya-Regular.otf');
}

/* -------------------- SCROLLBARS -----------*/

@-moz-document url-prefix() {
    :root, #c_widget, textarea, #abouttext, #updates{
      scrollbar-color: rgb(21, 39, 39) rgba(34, 34, 34, 0.25) !important;
      scrollbar-width: thick !important;
    }
  }



  ::-webkit-scrollbar {
    width: 20px;
  }
  
  ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px rgba(91, 91, 91, 0.25);
    border-radius: 9px;
  }
  
  ::-webkit-scrollbar-thumb {
    background: rgb(37, 63, 63);
    border-radius: 9px;
  }
  
  .noscrollbar::-webkit-scrollbar {
    background: transparent; /* Chrome/Safari/Webkit */
    width: 0px;
  }
      
  .noscrollbar {
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none;  /* IE 10+ */
  }

  html::-webkit-scrollbar {
    display: none;
  }
  

/* --------------------------------------------------- GLOBAL -----------*/

html{
    margin: 0 auto;
    padding:0px;
    cursor: url('./cursors/bg-aero-normal.cur'), default;
    -ms-overflow-style: none;  /* IE and Edge scrollbar */
    scrollbar-width: none;  /* Firefox scrollbar */
}

body{
    width:100vw;
    height:100vh;
    background:black;
    margin: 0 auto;
    padding:0px;
    overflow-x:hidden;
}

a{
  color:rgb(247, 215, 87);
  text-decoration:none;
  font-family:"Mina", Arial;
}
a:hover{
color:rgb(231, 167, 231);
transition:ease 1s;
}

h2{
  font-family: "Mina", Arial;
  color:white;
  text-align: right;
  font-size:1em;
  padding:0px;
  margin:0 auto;
  padding-top:8%;
  padding-right:5%;
}

h4 {
  font-family: "Mina", Arial;
  width: 100%; 
  text-align: left;
  border-bottom: 1px solid #5e6464;
  line-height: 0.2em;
  margin: 13px 2px 8px; 
  font-size:0.6em;
} 

h4 span { 
   color:#fff; 
   background:rgb(8, 12, 15);
   padding:0 5px; 
}

p{
  font-family: "Mina", Arial;
  font-size: 0.65em;
  color: #b2b2b2;
  text-shadow: 0px 0 1px;
}

hr{
  border-top: 1px solid #5e6464;
  border-bottom:0px solid black;
}

canvas{
  width:100%;
  height:100%;
  overflow:hidden;
  z-index:-2;

}
/* --------------------------------------------------- CLASSES ------------- */

.sizer{
  width: var(--w);
  height: var(--h);
  display: inline-block;
  overflow:hidden;
}
.window{
  border-left: 2px solid  rgba(48, 53, 52, 0.313);
  border-right: 2px solid  rgba(141, 174, 166, 0.242);
  border-top:2px solid  rgba(141, 174, 166, 0.242);
  border-bottom: 2px solid  rgba(54, 59, 58, 0.438); 
  border-radius: 10px;
  width: var(--w);
  height: var(--h);
  display: inline-block;
}


.fade{
  -webkit-mask-image: linear-gradient(to left, rgba(0,0,0,1) 90%, rgba(0,0,0,0) 100%);
  -webkit-mask-size: 100% 100%;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position:  left bottom;

  mask-image:linear-gradient(to left, rgba(0,0,0,1) 5%, rgba(0,0,0,0) 80%);
  mask-size: 100% 100%;
  mask-repeat: no-repeat;
  mask-position:  left bottom;
}

.m{
  padding:0px;
  margin:0 auto;
  color: #b2b2b2;
  text-shadow: 0px 0 1px;
  margin-left:5%;
}

/* --- override overflow hiding: https://stackoverflow.com/questions/3387489/ */
.clearfix:before,
.clearfix:after {
    content: ".";  
    display: block;    
    height: 0;    
    overflow: hidden; 
}
.clearfix:after { clear: both; }
.clearfix { zoom: 1; } /* IE < 8 */

#c_widget{
  background:rgba(0,0,0,0);
}

/* --------------------------------- display divs --*/

/* -------------------------------- left --*/
.audiobox{
  height:5%;
  width:98%;
  margin: 0;
  overflow:hidden;
  display:flex;
  flex-direction:row;
}
    .audiowindow{
      float:left;
    margin:5% 5% 0% 0%;
    overflow:hidden;
    height:70%;
    width:80%;
    }
    .audioplay{
      float:right;
      height:10%;
      width:100%;
      margin: 5% 0% 0% 5%;
      padding:2px 5px 2px 0px;
      scale:0.7;
      background-color:rgb(101, 120, 118);
      border-radius:6px;
      transition:ease-in-out 1s;
    }
    .audioplay:hover{
      background-color:rgb(58, 83, 80);
      transition:ease-in-out 1s;
    }

    .audioname{
      white-space: nowrap;
      animation: slide 10s linear infinite;
    }
    @keyframes slide {
      from { transform: translateX(100%); }
      to { transform: translateX(-100%); }
    }




  .navlist{
    height:auto;
    width:100%;
  }
    .pagelink{
      /* height:10%; */
      width:99.5%;
      border-bottom: none;
      background:radial-gradient(farthest-corner at 200% 200%, rgba(78,100,100,0.7) 0%, rgba(154,7,7,0) 80%);
      transition: ease 2s;
      fant-size:1.2em;
      padding-top:7px;
    }
  .notslidenav .pagelink:last-of-type{
      border-bottom: none;
    }

    .unusedh2{
      font-size:0.7em;
      color:#525b61;
    }
    .pagenotused:hover{
      background:radial-gradient(farthest-corner at 200% 200%, rgba(78,100,100,0.9) 0%, rgba(154,7,7,0) 90%);
    }


  #updatelog{
    padding:20px;
    
  }
    #updates{
      overflow-y:scroll;
      padding-right:0px;
      width:100%;
    }
    #updates .m{
      padding-right:8px;

    }
    #newicon{
      margin: 0% 1% 0.5% 1%;
      scale:1.3;
    }


  .barfortitle{
    display:flex;
  }
  .areafortitle{
    width:25%;
    border-radius:0px 0px 10px 0px;
    margin-top:-1%;
    margin-left:-1%;
    background:rgba(63, 81, 141, 0.144);
    padding:2px 20px 2px 20px;
    text-wrap:nowrap;
  }
 
  .slaptext{
    margin: 0 auto;
    padding:0px;
    text-align:center;
    font-style: italic;
    opacity:0.8;
    font-family:'Mina', Arial;
    font-size:1em;

    color:#accac5;
  }
   .areafortitle .slaptext{
    font-size:0.7em;
    margin-top:2%;
  }
  .areaforrighttitle{
    flex-grow:1;
  }
  .areaforrighttitle h4{
color:white;
text-decoration:none;
border:none;
font-size:0.8em;
text-align:center;
  }
  #updatesizer{
    height:6%;
  }



  .bysea{
    font-size: 1em;
    font-family: "Mina", sans-serif;
    color:#819894;
    padding:1%;
    padding-top:2%;
    text-align:center;
    text-wrap:nowrap;
  
  }



  #aboutarea{
    height:30%;
    width:97%;
    padding: 0px;
    margin: 0 auto;
    display:flex;
    flex-direction:row;
    overflow:visible;
  }
#leftofabout{
  display:flex;
  flex-direction:column;
  width:50%;
}
  #about{
    margin:-0.5% 0% 0% 1.5%;
    width:100%;
    height:95%;
    float:left;
    padding:1%;
    overflow:hidden;
    text-align:center;
    position:relative;
  }
    #abouttext{
    height:100%;
    overflow-y:scroll;
    padding:10px;
    padding-top:0px;
  }

    .slapgrad{
    --grad-color:rgba(64, 46, 66, 0.411);
    --grad-dir:0deg;
    background:linear-gradient(var(--grad-dir), rgba(1,1,1,0) 21%, 
                                      rgb(from var(--grad-color) r g b / calc(alpha - 0.10)) 26%,
                                      rgb(from var(--grad-color) r g b / calc(alpha - 0.10)) 28%,
                                      rgba(1,1,1, 0) 28%,

                                      rgba(1,1,1, 0) 30%,
                                      rgb(from var(--grad-color) r g b / calc(alpha - 0.05)) 31%,
                                      rgb(from var(--grad-color) r g b / calc(alpha - 0.05)) 36%,
                                      rgba(1,1,1, 0) 37%, 

                                      rgba(1,1,1, 0) 39%,
                                      rgb(from var(--grad-color) r g b / calc(alpha - 0)) 41%,
                                      rgb(from var(--grad-color) r g b / calc(alpha - 0)) 45.5%,
                                      rgba(1,1,1, 0) 46%,

                                      rgba(1,1,1, 0) 48%,
                                      var(--grad-color) 51%,
                                      var(--grad-color) 100%);

  }

    .slapone{
    --grad-color:rgba(46, 58, 45, 0.308);
    margin:-5% 0% -2% -7%;
    width:110%;
    height:27%;
    position:absolute;
    pointer-events: none;
    mix-blend-mode: screen;
  }

 
  #footerr{
    width:100%;
    height:3%;
    opacity:0.7;
    text-align:center;
    padding:0% 0% 1% 3%;
    margin-top:0%;
  }

#rightofabout{
  width:100%;
  margin-left:2%;
}
    .status{
      height:auto;
      width:100%;
      margin:0% 2% 2% 5%;
      border-radius: 10px;
      background: linear-gradient(0deg, rgba(6,3,55,0.41940789473684215) 0%,
      rgba(9,9,121,0.35800438596491224) 26%, 
      rgba(5,99,180,0.1884137426900585) 69%, 
      rgba(0,212,255,0.16209795321637432) 100%);
    }
        #statuscafe {
          font-size:0.7em;
          font-family:"Gidolinya", Arial;
          padding: .7em;
          padding-top:.3em;
        }
        #statuscafe-username {
          margin-bottom: .2em;
          color: #7e9592;
        }
        #statuscafe-username a{
          color: #ecca7a;
        }
        #statuscafe-content {
          margin: 0 1em 0.3em 1em;
          color: #7e9592;
        }



  .perspbtn{
    display:none;
  }


  
  h3{
    padding:0px;
    margin: 0 auto;
    font-family: "Mina", Arial;
    font-size: 0.7em;
    color: #b2b2b2;
    text-shadow: 0px 0 1px;
    text-align:center;
  }




#nextboat{
  height:auto;
  width:100%;
  margin-top:3%;
}
  #nextboattext{
    height:30%;
    width:100%;
  }
  #nextboatroster{
    margin:-1% 2% 0% 2.5%;
    height:30px;
    width:95%;
    overflow:hidden;
  }

  .slot{
    display:inline-block;
    animation: slotmachine 20s linear infinite;
    margin-left:5%;
  }
  
  .slot1{
    animation-duration: 17s;
  }
  .slot2{
    animation-duration: 10s;

  }
  .slot3{
    animation-duration: 13s;

  }
  .slot4{
    animation-duration: 19s;

  }
  .slot5{
    animation-duration: 15s;

  }
  .slot:hover {
    animation-play-state: paused
  }
  .sitebtn {
    width:88px;
    height:30px;
    display:block; 
    padding:1px; 
  }


  #webrings{
    width:101%;
    height:101%;
    display:flex;
    flex-direction:row;
    margin: 0 auto;
    padding:0px;
    background: rgba(0,0,0,0);
    /* align-items: center;
    justify-content:center; */

  }
  #nullring{
    align-self:center;
    width:50%;
   }
  #dsring{
    align-self:center;
    background:#00000000;
    width:49%;
  }
  #dsring .webring-prev a, #dsring .webring-next a, #dsring .webring-info a {
  color: #f1b022;
  text-decoration: none;
  &:hover {
    color: #faea0d;
    text-decoration: underline;
    text-decoration-color: #fbfcff;
  }
}

 
  #sitebuttonsite{
    height:100%;
    width:100%;
    margin:7% 5% 2.5% 5%;
    background:black;
    display:flex;
    flex-direction:column;
  }
  #sitebuttonsite div{
    width:100%;
    height:49%;
  }
  #sitebuttonsite p{
    padding-top: 5px;
    margin:0px;
    text-align:center;
  }
  #sitebutton{
    width:88px; 
    height:31px; 
    border-radius:4px;
    margin: 10% 0% 0% 13%;
  }
    
    textarea{
      background:rgba(19, 19, 19, 0.402);
      color: #b2b2b2;
      text-shadow: 0px 0 1px;
      border: 2px rgb(70, 70, 70) dotted;
      z-index: 2;
      font-size:0.6em;
      padding:5px;
      margin:0 auto;
      resize:none;
      width:93%;
      height:69%;
    }


